{ config, lib, pkgs, ... }:

{
  boot.kernelPackages = pkgs.linuxPackages_latest;
  #boot.kernelPackages = pkgs.myLinuxPackages;

  # Bootloader, initrd and Kernel
  boot.loader.grub.enable = true;
  boot.loader.grub.enableCryptodisk = true;
  boot.loader.grub.version = 2;

  # Workaround for nm-pptp
  boot.kernelModules = [ 
      "nf_conntrack_proto_gre"
      "nf_conntrack_pptp"
  ];

  boot.tmpOnTmpfs = true;
}
